#! /usr/bin/env python
"""test script for a few new invalid token catches"""

import os
import unittest
from test import test_support

# LSB - tweak the test for 2.6 or greater
import platform
(major, minor, dummy) = platform.python_version_tuple()
pversion = 10 * int(major) + int(minor)

class EOFTestCase(unittest.TestCase):
    def test_EOFC(self):
        if pversion >= 26:
            expect = "EOL while scanning string literal (<string>, line 1)"
        else:
            expect = "EOL while scanning single-quoted string (<string>, line 1)"
        try:
            eval("""'this is a test\
            """)
        except SyntaxError, msg:
            self.assertEqual(str(msg), expect)
        else:
            raise test_support.TestFailed

    def test_EOFS(self):
        if pversion >= 26:
            expect = ("EOF while scanning triple-quoted string literal "
                      "(<string>, line 1)")
        else:
            expect = "EOF while scanning triple-quoted string (<string>, line 1)"
        try:
            eval("""'''this is a test""")
        except SyntaxError, msg:
            self.assertEqual(str(msg), expect)
        else:
            raise test_support.TestFailed

def test_main():
    test_support.run_unittest(EOFTestCase)

if __name__ == "__main__":
    test_main()
